dtrace(8)

NAME
dtprobed - USDT-tracking daemon

SYNOPSIS
dtprobed [-Fd] [-d devname] [-t timeout]

DESCRIPTION

dtprobed is a component of the DTrace system that keeps track of USDT probes within running processes, parsing and storing the DOF they provide for later consumption by dtrace proper.

dtprobed should be started as soon as possible after startup and should always be kept running: processes that start before it may not have usable USDT probes. On systemd systems this is usually done automatically. (Restarting on upgrade should also be done for you by the packaging system.)

The following options are supported:

-F  Put dtprobed into the foreground: log output to stderr instead of the syslog. (Routinely used by systemd.)

-d  Enable debugging: log extra output, and disable sandboxing of the DOF parser.

-n devname
    Name the CUSE device something other than the default dtrace/helper. DOF-containing processes will not connect to this instance unless pointed at it via the DTRACE_DOF_INIT_DEVNAME environment variable. Using this option is necessary if for some reason (perhaps debugging) you want to have two dtprobeds running at once. (They will still share a state directory, so DTrace will know about all probes discovered by all running dtprobeds.)

-t timeout
    Timeout, in seconds, for DOF reads from the parser child. DOF that takes longer than this to parse will be discarded. The default (5 seconds) is probably always reasonable. Setting this too low might cause legitimate DOF to be discarded: setting it too high might cause faulty DOF to block dtprobed, preventing registration of new probes.

ENVIRONMENT VARIABLES

Ignoring internal testing-only variables, dtprobed itself does not accept any environment variables: but programs that talk to it (any program that contains USDT probes) do accept some.

DTRACE_DOF_INIT_DEBUG
    Output debugging messages to standard error if set (to anything).

DTRACE_DOF_INIT_DEVNAME
    The full name of the helper device to send registration requests on: by default, /dev/dtrace/helper. dtprobed is listening on the other end of this device.

DTRACE_DOF_INIT_DISABLE
    Disable DOF registration entirely.

FILES

/run/dtrace/stash
    Private stash of DOF.

/run/dtrace/probes
    Parsed representations of every probe. The parsed representation is shared between dtrace(8) and dtprobed, and can change between releases: on upgrade, dtprobed should be restarted, and will regenerate any parsed DOF that is needed, so dtraces started after the upgrade will still work. (Still-running dtraces from before the upgrade may become unable to see newly-added probes.)

SEE ALSO
dtrace(8)

Oracle Linux DTrace Guide